radvd (1:2.19-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:05 +0200

radvd (1:2.19-1) unstable; urgency=medium

  * New upstream release  Closes: #973922
  * Supporting /etc/default/radvd
  * Bumped deb-helper to >= 10

 -- Geert Stappers <stappers@debian.org>  Sat, 19 Nov 2022 20:06:05 +0100

radvd (1:2.18-3) unstable; urgency=medium

  [ Adilson dos Santos Dantas ]
  * Correct install of radvd.service  Closes: #976694

 -- Geert Stappers <stappers@debian.org>  Mon, 07 Dec 2020 08:09:05 +0100

radvd (1:2.18-2) unstable; urgency=medium

  * rules: Removed dh_install override
  * control: Removed autoreconf build-dependency.
  * radvd.install: Re-added location of service unit. Closes: #975833
  * radvd.postinst: user radvd home dir in /run,  not in /var/run

 -- Geert Stappers <stappers@debian.org>  Sun, 06 Dec 2020 14:16:41 +0100

radvd (1:2.18-1) unstable; urgency=medium

  [ Nick Huber ]
  * ConditionPathExists=/etc/radvd.conf. Closes: #929357, #646723

  [ Geert Stappers ]
  * New upstream release
  * Removed a patch that got upstreamed
  * Needed to include upstream signing-key.asc
  * radvd.service PIDFile now in /run. Closes: #954433
  * echo 10 > debian/compat
  * d/radvd.install: Upstream installs the service unit at wanted place
  * d/.gitignore updated

 -- Geert Stappers <stappers@debian.org>  Sun, 22 Nov 2020 16:13:18 +0100

radvd (1:2.17-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Luca Boccassi ]
  * No router advertisement on tunnel interfaces patch

  [ Geert Stappers ]
  * Added .gitignore files.
  * gbp Debian branch is debian/master
  * Removed unused debian/patches
  * DEB_BUILD_OPTIONS prevents check, opened: #919926
  * Removed builder config from d/gbp.conf
  * Upload

 -- Geert Stappers <stappers@debian.org>  Sun, 20 Jan 2019 21:23:08 +0100

radvd (1:2.17-1) unstable; urgency=medium

  * Moved to Salsa. Closes: #843502
  * New upstream release
  * No changes for Standards-Version from 3.9.8 to 4.1.3

 -- Geert Stappers <stappers@debian.org>  Thu, 08 Mar 2018 23:19:42 +0100

radvd (1:2.16-3) unstable; urgency=medium

  * Remove linux/if_arp.h from configure.ac  Closes: #864269

 -- Geert Stappers <stappers@debian.org>  Thu, 08 Jun 2017 22:06:46 +0200

radvd (1:2.16-2) unstable; urgency=medium

  * radvdump in a seperate package

 -- Geert Stappers <stappers@debian.org>  Sun, 04 Jun 2017 23:44:18 +0200

radvd (1:2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Geert Stappers <stappers@debian.org>  Mon, 20 Feb 2017 13:38:42 +0100

radvd (1:2.15-2) unstable; urgency=medium

  * README.source updated
  * override_dh_auto_clean calls original dh_auto_clean. Closes: #842283
    Thanks Sven-Haegar Koch
  * Made me maintainer.
    Bugreport 843502 is a reminder for team maintenance.

 -- Geert Stappers <stappers@debian.org>  Mon, 07 Nov 2016 22:09:06 +0100

radvd (1:2.15-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dpkg-statoverride for non-existent /var/run/radvd. Closes: #771239
    Thanks Helmut Grohne

 -- Geert Stappers <stappers@debian.org>  Fri, 28 Oct 2016 22:35:22 +0200

radvd (1:2.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
    How to do team maintenance is for after the freeze.
    Remember, remember, the fifth of November.
  * New upstream release. Closes: #840238.
  * Fixed typos in debian/rules override_ targets. Closes: #834660.
  * No more mistake between README.Debian and init file about forwarding.
    Closes: #512746.
  * Added install init error handler. Closes: #398536.
  * Ship with INTRO.html. Closes: #494211.
  * Added Homepage and VCS Headers to debian/control. Closes: #796341.
  * Standard version from 3.9.6 to 3.9.8, no changes required.
  * Depend on lsb-base >= 3.0-6
  * There is now a debian/README.source file
    for documenting the packaging workflow

 -- Geert Stappers <stappers@debian.org>  Mon, 24 Oct 2016 23:16:05 +0200

radvd (1:2.11-1) unstable; urgency=medium

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Wed, 13 May 2015 13:50:24 +0000

radvd (1:1.9.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add autopkg tests (Yolanda Robla). Closes: #710145.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 17:44:15 +0200

radvd (1:1.9.1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Use dh-autoreconf in build to support new architectures (Closes: #727278)

 -- Wookey <wookey@wookware.org>  Sat, 05 Jul 2014 00:54:48 +0000

radvd (1:1.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Apply patch to enable hardening build flags (Closes: #665715).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 07 Jun 2013 11:04:30 +0200

radvd (1:1.9.1-1) unstable; urgency=low

  * New upstream release
  * Added pkg-config, libdaemon-dev as build-depend
  * DNSSL options are concatenated if specified with trailing. Closes: #634485

 -- Ghe Rivero <ghe@debian.org>  Sun, 01 Jul 2012 10:51:22 +0200

radvd (1:1.8.5-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Fri, 10 Feb 2012 12:27:16 +0100

radvd (1:1.8.4-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Mon, 23 Jan 2012 18:05:23 +0100

radvd (1:1.8.3-2) unstable; urgency=low

  * Added status option for init command. Closes: #651473
    - Thanks to Casper Gielen
  * Switch to dpkg-source 3.0 (quilt) format

 -- Ghe Rivero <ghe@debian.org>  Fri, 09 Dec 2011 10:18:38 +0100

radvd (1:1.8.3-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Sat, 03 Dec 2011 14:40:16 +0100

radvd (1:1.8-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - add 0008-In-process_ra-ND_OPT_DNSSL_INFORMATION-option-parsin,
      backported from upstream, fix a buffer overflow leading to privilege
      escalation (CVE-2011-3601).

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 Oct 2011 18:24:08 +0200

radvd (1:1.8-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches: backport patches from upstream to fix various security
    issues:                                                     closes: #644614
    - 0001-set_interface_var-doesn-t-check-interface-name-and-b fix arbitrary
      file overwrite (CVE-2011-3602)
    - 0002-main-must-fail-on-privsep_init-errors-it-must-not-ru,
      0003-privsep_read_loop-should-return-on-unprivileged-daem and
      0004-Really-exit-on-privsep-init-failure fix failure to check return
      code of privilege dropping function (CVE-2011-3603)
    - 0005-process_ra-has-numerous-missed-len-checks.-It-leads- fix multiple
      buffer overreads (CVE-2011-3604)
    - 0006-removing-mdelay-in-unicast-only-case fix a denial of service
      (CVE-2011-3605)
    - 0007-checking-iface-name-more-carefully on top of
      0001-set_interface_var-doesn-t-check-interface-name-and-b
      (CVE-2011-3602)

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 14 Oct 2011 23:28:02 +0200

radvd (1:1.8-1) unstable; urgency=low

  * New upstream release
    - Fix segfault in timer handling. (Closes: #611297)
    - Fix error in DNSSL parsing (Closes: #615625)
    - Fix no respond on a tunnel interface after peer is reconnected
        (Closes: #628592)
  * Bumped Debian Policy Version 3.9.2
  * Added support for kfreebsd (Closes: #618266)
  * Remove pid file checking in init script (Closes: #604905)
  * Some clarifications in README.Debian file (Closes: #601975)

 -- Ghe Rivero <ghe@debian.org>  Thu, 02 Jun 2011 08:20:52 +0200

radvd (1:1.7-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Wed, 16 Feb 2011 15:27:12 +0100

radvd (1:1.6-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Mon, 15 Mar 2010 08:29:25 +0100

radvd (1:1.5-1) unstable; urgency=low

  * New upstream release (Closes: #546162)
    - Fix RA starvation (Closes: #553696)
    - Fix network cable removed infinite loop (Closes: #523722)
  * Some Lintian cleans  (Closes: #530421)

 -- Ghe Rivero <ghe@debian.org>  Mon, 08 Feb 2010 16:48:10 +0100

radvd (1:1.3-1.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Source build fine in pbuilder now (Closes: #518878)
  * Correct runlevels and dependencies in init.d script, and add
    postinst code to recover systems bit by this bug (Closes: #541874).
  * Fix typo in init.d script (Closes: #519560).
  * Update to use debhelper 7.
  * Remove the privsep.c symlink in the clean target to make sure
    the source is rebuildable.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Sep 2009 20:54:12 +0200

radvd (1:1.3-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Sat, 25 Jul 2009 17:24:46 +0200

radvd (1:1.2-1) unstable; urgency=low

  * New upstream release
  * Added watch file
  * Clean Lintian warnings
    - debhelper-but-no-misc-depends
    - out-of-date-standards-version
    - script-calls-init-script-directly
    - copyright-without-copyright-notice
  * Jornadas Free Software UPSA

 -- Ghe Rivero <ghe@debian.org>  Thu, 12 Mar 2009 16:51:13 +0100

radvd (1:1.1-3) unstable; urgency=low

  * Check for ipv6 forwarding in initscript (Closes: #498038)
  * Solved start for /var/run on tmpfs (Closes: #473804)

 -- Ghe Rivero <ghe@debian.org>  Tue, 23 Sep 2008 22:16:20 +0200

radvd (1:1.1-2.1) unstable; urgency=low

  * Non-maintainer upload for the alpha port, with maintainer's approval.
  * Fix the alignment of the "chdr" buffer in send.c, so that we stop getting
    unaligned traps that make the process run much less efficiently.  This
    probably also causes radvd to crash outright on sparc, though this has
    not been confirmed.  Thanks to Bob Tracy for the patch.  Closes: #456205.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Aug 2008 01:19:30 -0700

radvd (1:1.1-2) unstable; urgency=low

  * Migrated to unstable

 -- Ghe Rivero <ghe@debian.org>  Fri, 25 Apr 2008 09:37:13 +0200

radvd (1:1.1-1) experimental; urgency=low

  * New upstream release
    - Closes: #409600
    - Closes: #428862
    - Closes: #429874
    - Closes: #431665
  * New Maintainer. (Closes: #427965)
  * Updated initscript restart option (Closes: #461837)
  * Removed forwarding in initscript (Closes: #413669)

 -- Ghe Rivero <ghe@debian.org>  Wed,  6 Feb 2008 23:22:22 +0100

radvd (1:1.0-2) unstable; urgency=low

  * Don't enable forwarding in the initscript, as suggested by Marco
    d'Itri; this should be done via /etc/sysctl.conf (closes: #413669).
  * README.Debian updated to reflect this.
  * simple-radvd.conf: Fix netmask (/64 instead of /32).

 -- Andreas Rottmann <rotty@debian.org>  Thu, 07 Jun 2007 18:34:48 +0200

radvd (1:1.0-1) unstable; urgency=low

  * New upstream release (closes: #396441).
  * Removed patch 01-linux-2.6.patch, as it is integrated upstream.
  * Bumped standards-version to 3.7.2 (no changes).
  * Added "INIT INFO" block to initscript.

 -- Andreas Rottmann <rotty@debian.org>  Wed,  1 Nov 2006 16:47:28 +0100

radvd (1:0.8-1) unstable; urgency=low

  * New upstream release.
    - Fixes adress garbling issue (closes: #301543).
  * Bumped standards-version to 3.6.2.
  * Added missing adduser dependency (thanks, lintian!).
  * Make download URL version independendent in copyright.

 -- Andreas Rottmann <rotty@debian.org>  Thu, 11 Aug 2005 20:59:53 +0200

radvd (1:0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Rottmann <rotty@debian.org>  Tue, 22 Feb 2005 19:47:02 +0100

radvd (1:0.7.2+0.7.3rc1-1) experimental; urgency=low

  * New upstream release (0.7.3 release candidate).
    - Fixes hang/sendmsg issue (closes: #287863).
    - Drop patches integrated upstream: 02-radvd_conf_man.patch.
  * Now runs as user radvd (closes: #242471).
  * radvd.init: check for and remove stale pidfile (closes: #293789).
  * control: tighten dependency on debhelper.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 19 Feb 2005 12:56:08 +0100

radvd (1:0.7.2-7) unstable; urgency=low

  * Fix restart initscript action (closes: #278369).

 -- Andreas Rottmann <rotty@debian.org>  Mon, 29 Nov 2004 14:30:26 +0100

radvd (1:0.7.2-6) unstable; urgency=low

  * Applied patch by Fabio Massimo Di Nitto, thanks. (closes: #273892).
  * Now using documentation prefix instead of deprectated
    site-local prefix (closes: #242473).
  * Also install the upstream example (radvd.conf.example).

 -- Andreas Rottmann <rotty@debian.org>  Sun,  3 Oct 2004 17:27:35 +0200

radvd (1:0.7.2-5) unstable; urgency=low

  * Don't install a config file in /etc anymore (see,
    and closes: #225558).  Instead output a more verbose message in
    the init script, telling the user how to configure it.
    Config file previously in /etc now shipped in
    /usr/share/doc/radvd/examples/simple-radvd.conf.

 -- Andreas Rottmann <rotty@debian.org>  Mon,  1 Mar 2004 21:54:24 +0100

radvd (1:0.7.2-4) unstable; urgency=low

  * debian/init: Don't try to restore state of interfaces that are down
    (closes: #233499).
  * New patch 03-if-names-relax.patch, which allows [:.-_] to be used in
    interface names (closes: #200868).

 -- Andreas Rottmann <rotty@debian.org>  Sun, 22 Feb 2004 16:47:01 +0100

radvd (1:0.7.2-3) unstable; urgency=low

  * New patch 02-radvd_conf_man.patch, fixes AdvValidLifetime default
    manpage error (closes: #226027).
  * New patch 01-linux-2.6.patch, which fixes the warning on Linux 2.6
    (posted on radvd-devel-l by Pekka Savola <pekkas@netcore.fi>).
  * debian/rules: Include simple-patchsys.mk.
  * debian/init: Save forwarding configuration of interfaces at start time
    and restore them at stop time (closes: #224197).
  * debian/README: Document that the forwarding state is safed/restored.
  * debian/copyright:
    + Point to download dir, not file.
    + Remove "no modification was needed" line.

 -- Andreas Rottmann <rotty@debian.org>  Thu,  1 Jan 2004 21:16:33 +0100

radvd (1:0.7.2-2) unstable; urgency=low

  * radvd.8.man: Fixed --method, which should read --logmethod
    (closes: #221246).
  * debian/control: Standards-Version 3.5.1 (no changes).
  * debian/rules: Switched to CDBS (from CBS).

 -- Andreas Rottmann <rotty@debian.org>  Wed, 19 Nov 2003 23:22:30 +0100

radvd (1:0.7.2-1) unstable; urgency=low

  * New upstream release.
     + Adds support for VLANs (closes: #166002).
  * Now using CBS.
     + Build-Depend on autotools-dev, so CBS can use current
       config.{guess,sub}.
  * Build-Depend on debhelper v4.

 -- Andreas Rottmann <rotty@debian.org>  Sun, 23 Feb 2003 21:09:47 +0100

radvd (1:0.7.1-6) unstable; urgency=low

  * Now checking wether IPv6 is enabled in init script. (closes: #155961)

 -- Andreas Rottmann <rotty@debian.org>  Fri,  9 Aug 2002 15:21:59 +0200

radvd (1:0.7.1-5) unstable; urgency=low

  * Corrected spelling in package description. (closes: #140978)

 -- Andreas Rottmann <rotty@debian.org>  Wed,  3 Apr 2002 11:21:14 +0200

radvd (1:0.7.1-4) unstable; urgency=low

  * Init script now enables IPv6 forwarding. (closes: #134740)
  * Updated debian/copyright.
  * Added debian/README.Debian.

 -- Andreas Rottmann <rotty@debian.org>  Sun,  3 Mar 2002 16:31:24 +0100

radvd (1:0.7.1-3) unstable; urgency=low

  * Rewrote complicated init script. (closes: #116038)

 -- Andreas Rottmann <rotty@debian.org>  Sun, 17 Feb 2002 18:50:36 +0100

radvd (1:0.7.1-2) unstable; urgency=low

  * Fixed typo in debian/control 'Maintainer:' field.

 -- Andreas Rottmann <rotty@debian.org>  Wed,  6 Feb 2002 18:51:51 +0100

radvd (1:0.7.1-1) unstable; urgency=low

  * New maintainer. (closes: #131640)
  * New upstream. (closes: #115992)
  * Fixed build for ash. (closes: #116443)
  * Fixed postinst script. (closes: #116405)
  * Fixed init script. (closes: #108486)

 -- Andreas Rottmann <rotty@debian.org>  Mon,  4 Feb 2002 16:51:44 +0100

radvd (1:0.6.2pl4-1.1) unstable; urgency=low

  * NMU
  * New config.guess and config.sub, as a patch.  Closes: #115992

 -- LaMont Jones <lamont@debian.org>  Sat, 20 Oct 2001 21:16:17 -0600

radvd (1:0.6.2pl4-1) unstable; urgency=low

  * New upstream.  Closes: #115430
  * Mistakenly uploaded 0.6.2 last time around, with an epoch, even tho it
    was going backwards.  :(  Closes: #107953.
  * Apply buffer overrun fixes from radvd mailing list.
  * Added build-depends on flex and bison.  Closes: #104018.
  * Don't start radvd if the config file doesn't exist or is empty.
    Closes: #99009.
  * Handle varied /proc/net/if_inet6 on linux(fixed upstream).
    Closes: #99005.
  * Upstream uses daemon(3) to detach from the terminal, so
    std{in,out,err} get closed correctly.  Closes: #108485.
  * Rewrote init script, to support reload(sends SIGHUP).
  * List both the offical location and the location for the patchlevels
    in copyright.  Closes: #115428.

 -- Adam Heath <doogie@debian.org>  Mon, 15 Oct 2001 12:32:31 -0500

radvd (1:0.6.2-1) unstable; urgency=low

  * New upstream.

 -- Adam Heath <doogie@debian.org>  Sat,  7 Jul 2001 15:07:29 -0500

radvd (0.6.2pl3-1) unstable; urgency=low

  * New upstream.  Closes: #84317, #97048.
  * Check for existance and size of /etc/radvd.conf, before starting
    the daemon, in the init script.  Closes: #98102.

 -- Adam Heath <doogie@debian.org>  Fri, 12 Jan 2001 00:53:23 -0600

radvd (0.5.0-2) unstable; urgency=low

  * Updated config.guess and config.sub.  Closes: #78566.

 -- Adam Heath <doogie@debian.org>  Fri, 12 Jan 2001 00:53:23 -0600

radvd (0.5.0-1) unstable; urgency=low

  * New upstream version.
  * Created new debian/rules.
  * Uses dbs.
  * Added a binary-static target to debian/rules.  This is not the
    normal target, however.  Useful when installing this deb on
    older, pre-glibc 2.1 machines.

 -- Adam Heath <doogie@debian.org>  Fri,  4 Aug 2000 00:29:37 -0500

radvd (0.4.2-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Towns <ajt@debian.org>  Fri, 26 Mar 1999 00:13:21 +1000
